<?php

/**
 * Classe Pix
 */

if (!defined("_VALID_PHP"))
	die('Acesso direto a esta classe não é permitido.');

class Pix
{
	private static $db;

	/**
	 * Cadastro::__construct()
	 *
	 * @return
	 */
	function __construct()
	{
		self::$db = Registry::get("Database");
	}

	/**
	 * PIX::confirmarPagamentoPix($txid)
	 *
	 * @return
	 */
	public function confirmarPagamentoPix($txid)
	{
		$id_pagamento = getValue("id_pagamento","receita","nossonumero='".$txid."'");

		$data_pagamento_pix = array(
			'pago' => 1,
			'data_recebido' => "NOW()"
		);
		self::$db->update("receita", $data_pagamento_pix, "nossonumero='".$txid."'");

		if ($id_pagamento>0) {
			$data_pagamento_financeiro = array(
				'pago' => 1,
				'data_pagamento' => "NOW()"
			);
			self::$db->update("cadastro_financeiro", $data_pagamento_financeiro, "id='".$id_pagamento."'");
		}
		
	}

	/**
	 * PIX::obterReceitaPixPorTipoPagamento($id_pagamento)
	 *
	 * @return
	 */
	public function obterReceitaPixPorTipoPagamento($id_pagamento)
	{
		$sql = "SELECT * FROM receita WHERE id_pagamento = " . $id_pagamento;
		$row = self::$db->first($sql);
		return ($row) ? $row : 0;
	}

}
?>